using Server.Targeting;
using System;
using Server;
using Server.Gumps;
using Server.Network;
using Server.Menus;
using Server.Menus.Questions;
using Server.Mobiles;
using System.Collections;

namespace Server.Items 
{
	public class TranslocationPowder : Item 
	{ 
		[Constructable] 
		public TranslocationPowder() : this( 1 ) 
		{ 
      		Stackable=true;
		}
 
		[Constructable] 
		public TranslocationPowder(int amount ) : base(0x26B8) 
		{ 
      	 	Stackable=true;
			Weight = 0.1;
      		Amount=amount;
		}

		public TranslocationPowder( Serial serial ) : base( serial ) 
		{ 
      		Stackable=true;
		}

		public override Item Dupe( int amount ) 
		{ 
			return base.Dupe( new TranslocationPowder( amount ), amount ); 
		} 

		public override void OnDoubleClick( Mobile from ) 
		{ 
      		this.SendLocalizedMessageTo(from, 1010086);
      		from.Target = new ChargeTarget( this ); 
		}
      
		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 
			writer.Write( (int) 0 ); 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 
			int version = reader.ReadInt(); 
		} 

		private class ChargeTarget : Target 
		{ 
			private Mobile m_Owner;
      		private Item m_Charger;
      		private TranslocationPowder m_Powder;

        public ChargeTarget( TranslocationPowder charge ) : base ( 10, false, TargetFlags.None ) 
        { 
            m_Powder=charge;
        } 
          
		protected override void OnTarget( Mobile from, object target ) 
        { 
			if( target is PetSummonBall)
			{
				PetSummonBall pball = (PetSummonBall)target;
				pball.m_charges = ( pball.m_charges + m_Powder.Amount );
				m_Powder.Delete();
			}
			else if( target is BraceletOfBinding)
			{
				BraceletOfBinding bracelet = (BraceletOfBinding)target;
				bracelet.Charges = ( bracelet.Charges + m_Powder.Amount );
				m_Powder.Delete();
			}
			else if( target is BagofSending)
			{
				BagofSending bag = (BagofSending)target;
				bag.Charges = ( bag.Charges + m_Powder.Amount );
				m_Powder.Delete();
			}
			else
			{
				from.SendMessage( "You cannot charge that." );
			}
         }
      }
   }
}
