using System; 

namespace Server.Items 
{ 
   public class ZoogiFungus : Item 
   { 
      [Constructable] 
      public ZoogiFungus() : this( 1 ) 
      { 
      } 

      [Constructable] 
      public ZoogiFungus( int amount ) : base(0x26B7) 
      { 
         Weight = 1.0; 
         Stackable = true; 
         Amount = amount; 
      } 

      public ZoogiFungus(Serial serial) : base(serial) 
      { 
      } 

      public override Item Dupe( int amount ) 
      { 
         return base.Dupe( new ZoogiFungus( amount ), amount ); 
      } 

      public override void Serialize(GenericWriter writer) 
      { 
         base.Serialize(writer); 
         writer.Write((int) 0); 
      } 

      public override void Deserialize(GenericReader reader) 
      { 
         base.Deserialize(reader); 
         int version = reader.ReadInt(); 
      } 
   } 
} 
