using System; 
using Server;
using Server.Items;
using Server.Mobiles; 
using Server.Gumps;

namespace Server.Misc
{
	public class RedAmbitiousQueenQuest1 : BaseQuest
	{
		public override int QuestNameNumber{ get{ return 1054146; } }
		public override int OfferNumber{ get{ return 1054060; } }
		public override int StartNumber{ get{ return 1054061; } }
		public override int FinishNumber{ get{ return 1054068; } }
		public override int InProgressNumber{ get{ return 1054066; } }
		public override int LogObjectiveNumber{ get{ return 1054064; } }	
		public override int LogStartObjectiveNumber{ get{ return 1054062; } }	
		public override int LogFinishObjectiveNumber{ get{ return 1054067; } }
		public override int QuestAcceptSound{ get{ return 602; } }

		public RedAmbitiousQueenQuest1( PlayerMobile player ) : base( player )
		{
			Objectives.Add( new QuestObjective( "Queen 1" ) );
			Objectives.Add( new QuestObjective( "Queen 2" ) );
			Objectives.Add( new QuestObjective( "Queen 3" ) );
			Objectives.Add( new QuestObjective( "Queen 4" ) );
			Objectives.Add( new QuestObjective( "Queen 5" ) );
		}

		public RedAmbitiousQueenQuest1( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class RedAmbitiousQueenQuest2 : BaseQuest
	{		
		public override int FinishNumber{ get{ return 1054073; } }
		public override int InProgressNumber{ get{ return 1054070; } }
		public override int LogObjectiveNumber{ get{ return 1054144; } }
		public override int LogStartObjectiveNumber{ get{ return 1054069; } }
		public override int OverLoadedNumber{ get{ return 1054077; } }

		public RedAmbitiousQueenQuest2( PlayerMobile player ) : base( player )
		{
			Objectives.Add( new QuestObjective( "50 Zoogi Fungus" ) );
		}

		public RedAmbitiousQueenQuest2( Serial serial ) : base( serial )
		{
		}

		public override int TotalObjectives
		{
			get
			{
				return 50;
			}
		}

		public override int CompletedObjectives
		{
			get
			{
				Container pack = Player.Backpack;
				int amount = 0;
                    
				if ( pack != null ) 
				{ 
					Item[] items = pack.FindItemsByType( typeof( ZoogiFungus ) ); 

					foreach( ZoogiFungus k in items ) 
					{ 
						amount += k.Amount;
					} 
					return amount;
				}
				return amount;
			}
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
