using System;
using System.Collections;
using Server;
using Server.Gumps;
using Server.Misc;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a reindeer corpse" )]
	public class BaseReindeer : BaseCreature
	{
		public BaseReindeer() : base( AIType.AI_Mage, FightMode.Agressor, 10, 1, 0.2, 0.4 )
		{
			Title = "the Reindeer";
			Body = 0xEA;

			SetStr( 120, 150 );
			SetDex( 180, 210 );
			SetInt( 200, 250 );

			SetHits( 420, 510 );
			SetMana( 300, 350 );

			SetDamage( 15, 19 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 30, 45 );
			SetResistance( ResistanceType.Cold, 55, 70 );

			SetSkill( SkillName.MagicResist, 76.8, 94.5 );
			SetSkill( SkillName.Tactics, 89.8, 97.5 );
			SetSkill( SkillName.Wrestling, 89.8, 97.5 );

			Fame = 9000;
			Karma = 8000;

			VirtualArmor = 52;

			Tamable = false;
		}
		
		public override int Meat{ get{ return 6; } }
		public override int Hides{ get{ return 15; } }
		public override FoodType FavoriteFood{ get{ return FoodType.FruitsAndVegies | FoodType.GrainsAndHay; } }

		public BaseReindeer(Serial serial) : base(serial)
		{
		}

		public override int GetAttackSound() 
		{ 
			return 0x82; 
		} 

		public override int GetHurtSound() 
		{ 
			return 0x83; 
		} 

		public override int GetDeathSound() 
		{ 
			return 0x84; 
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}