using System; 
using Server; 
using Server.Mobiles; 
using Server.Gumps;

namespace Server.Misc
{
	public class ChristmasQuest : BaseQuest
	{
		public override string QuestNameString { get { return "Christmas Quest"; } }

		public override string OfferString{ get{ return "<i>Santa looks up at you with a bit of sadness in his eye...</i><BR><BR>Christmas just wont be the same this year, You see my reindeer are missing. I stopped in to the Cats Lair Tavern for a drink and when i came back they were gone.  Would you be interested in helping me save christmas this year?"; } }
		public override string StartString{ get{ return "This is great news, Ok, Let me try to remember what i can before they dissapeared. I did notice a group of unsavory looking fellas hanging out at the bank that day Ive heard townfolk refer to them as the ShadowClan and that they hideout in the various dungeons across this land. That should get you started on your journey my friend."; } }
		public override string FinishString{ get{ return "<i>Santas face lights up in delight</i><BR><BR> Wonderful, Wonderful, You have saved christmas my lad! Hmm, a reward..<BR><BR><i>Santa begins to rummage through his bag of gifts...</i><BR><BR> Ahh.. Here it is, my elves put together this elixer for me and for an adventurer like yourself i believe this will come in mighty handy. You see, the secret is this elixer has the power the increase the power and speed of any weapon you choose. I do think you'll find the results mighty impressive. Well thank you again and Merry Christmas!"; } }
		public override string InProgressString{ get{ return "Did you forget your task so soon? The ShadowClan is known to hang out in the dungeons across Trammel. Im sure that is where they have taken my reindeer. Now hurry christmas is almost here!"; } }
		public override string LogObjectiveString{ get{ return "Reindeer Recovered :"; } }
		public override string LogStartObjectiveString{ get{ return "Seek out Santas 9 Reindeer - Dasher, Dancer, Prancer, Vixen, Comet, Cupid, Donner, Blitzen, Rudolph."; } }
		public override string LogFinishObjectiveString{ get{ return "You have found all 9 of Santas Reindeer. Return to Santa for your Reward!"; } }
		public override string OverLoadedString{ get{ return "Ho Ho Ho, Id love to reward you for your wonderful work but you seem overburdoned at the moment, please come back when you have some room to spare."; } }
		public override int QuestAcceptSound{ get{ return 1073; } }

		public ChristmasQuest( PlayerMobile player ) : base( player )
		{
			Objectives.Add( new QuestObjective( "Dasher" ) );
			Objectives.Add( new QuestObjective( "Dancer" ) );
			Objectives.Add( new QuestObjective( "Prancer" ) );
			Objectives.Add( new QuestObjective( "Vixen" ) );
			Objectives.Add( new QuestObjective( "Comet" ) );
			Objectives.Add( new QuestObjective( "Cupid" ) );
			Objectives.Add( new QuestObjective( "Donner" ) );
			Objectives.Add( new QuestObjective( "Blitzen" ) );
			Objectives.Add( new QuestObjective( "Rudolph" ) );
		}

		public ChristmasQuest( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
			