using System;
using System.Collections;
using Server;
using Server.Gumps;
using Server.Misc;
using Server.Mobiles;

namespace Server.Mobiles
{
	public class Rudolph : BaseReindeer
	{
		[Constructable]
		public Rudolph()
		{
			Name = "Rudolph";
		}

		public override void OnDoubleClick( Mobile from )
		{
			if( from.Player && from is PlayerMobile && from.CheckAlive() )
			{
				PlayerMobile mobile = (PlayerMobile) from;

				if( mobile.CurrentQuest == null )
					return;

				if( mobile.CurrentQuest is ChristmasQuest )
				{
					ChristmasQuest quest = (ChristmasQuest) mobile.CurrentQuest;
					ArrayList list = new ArrayList();

					if( ( (QuestObjective) quest.Objectives[ 0 ] ).Completed )
						from.SendMessage( "You have already rescued this reindeer." );
					else
					{
						foreach ( Mobile m in from.GetMobilesInRange( 50 ) )
						{
							if ( m is ShadowClan ) 
								list.Add( m );
						}

						if( list.Count > 0 )
							from.SendMessage( "You must defeat the ShadowClan Members guarding this reindeer first." );
						else
						{
							from.SendMessage( "You have saved one of Santas Reindeer!" );
							this.Delete();
							( (QuestObjective) quest.Objectives[ 0 ] ).Completed = true;
						
							if( quest.Completed )
								quest.Player.SendGump( new QuestLogUpdated() );
						}
					}
				}
			}
		}

		public Rudolph( Serial serial ) : base( serial )
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}

	public class Dasher : BaseReindeer
	{
		[Constructable]
		public Dasher()
		{
			Name = "Dasher";
		}

		public override void OnDoubleClick( Mobile from )
		{
			if( from.Player && from is PlayerMobile && from.CheckAlive() )
			{
				PlayerMobile mobile = (PlayerMobile) from;

				if( mobile.CurrentQuest == null )
					return;

				if( mobile.CurrentQuest is ChristmasQuest )
				{
					ChristmasQuest quest = (ChristmasQuest) mobile.CurrentQuest;
					ArrayList list = new ArrayList();

					if( ( (QuestObjective) quest.Objectives[ 1 ] ).Completed )
						from.SendMessage( "You have already rescued this reindeer." );
					else
					{
						foreach ( Mobile m in from.GetMobilesInRange( 50 ) )
						{
							if ( m is ShadowClan ) 
								list.Add( m );
						}

						if( list.Count > 0 )
							from.SendMessage( "You must defeat the ShadowClan Members guarding this reindeer first." );
						else
						{
							from.SendMessage( "You have saved one of Santas Reindeer!" );
							this.Delete();
							( (QuestObjective) quest.Objectives[ 1 ] ).Completed = true;
						
							if( quest.Completed )
								quest.Player.SendGump( new QuestLogUpdated() );
						}
					}
				}
			}
		}

		public Dasher( Serial serial ) : base( serial )
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
	public class Dancer : BaseReindeer
	{
		[Constructable]
		public Dancer()
		{
			Name = "Dancer";
		}

		public override void OnDoubleClick( Mobile from )
		{
			if( from.Player && from is PlayerMobile && from.CheckAlive() )
			{
				PlayerMobile mobile = (PlayerMobile) from;

				if( mobile.CurrentQuest == null )
					return;

				if( mobile.CurrentQuest is ChristmasQuest )
				{
					ChristmasQuest quest = (ChristmasQuest) mobile.CurrentQuest;
					ArrayList list = new ArrayList();

					if( ( (QuestObjective) quest.Objectives[ 2 ] ).Completed )
						from.SendMessage( "You have already rescued this reindeer." );
					else
					{
						foreach ( Mobile m in from.GetMobilesInRange( 50 ) )
						{
							if ( m is ShadowClan ) 
								list.Add( m );
						}

						if( list.Count > 0 )
							from.SendMessage( "You must defeat the ShadowClan Members guarding this reindeer first." );
						else
						{
							from.SendMessage( "You have saved one of Santas Reindeer!" );
							this.Delete();
							( (QuestObjective) quest.Objectives[ 2 ] ).Completed = true;
						
							if( quest.Completed )
								quest.Player.SendGump( new QuestLogUpdated() );
						}
					}
				}
			}
		}

		public Dancer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
	public class Prancer : BaseReindeer
	{
		[Constructable]
		public Prancer()
		{
			Name = "Prancer";
		}

		public override void OnDoubleClick( Mobile from )
		{
			if( from.Player && from is PlayerMobile && from.CheckAlive() )
			{
				PlayerMobile mobile = (PlayerMobile) from;

				if( mobile.CurrentQuest == null )
					return;

				if( mobile.CurrentQuest is ChristmasQuest )
				{
					ChristmasQuest quest = (ChristmasQuest) mobile.CurrentQuest;
					ArrayList list = new ArrayList();

					if( ( (QuestObjective) quest.Objectives[ 3 ] ).Completed )
						from.SendMessage( "You have already rescued this reindeer." );
					else
					{
						foreach ( Mobile m in from.GetMobilesInRange( 50 ) )
						{
							if ( m is ShadowClan ) 
								list.Add( m );
						}

						if( list.Count > 0 )
							from.SendMessage( "You must defeat the ShadowClan Members guarding this reindeer first." );
						else
						{
							from.SendMessage( "You have saved one of Santas Reindeer!" );
							this.Delete();
							( (QuestObjective) quest.Objectives[ 3 ] ).Completed = true;
						
							if( quest.Completed )
								quest.Player.SendGump( new QuestLogUpdated() );
						}
					}
				}
			}
		}

		public Prancer( Serial serial ) : base( serial )
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
	public class Vixen : BaseReindeer
	{
		[Constructable]
		public Vixen()
		{
			Name = "Vixen";
		}

		public override void OnDoubleClick( Mobile from )
		{
			if( from.Player && from is PlayerMobile && from.CheckAlive() )
			{
				PlayerMobile mobile = (PlayerMobile) from;

				if( mobile.CurrentQuest == null )
					return;

				if( mobile.CurrentQuest is ChristmasQuest )
				{
					ChristmasQuest quest = (ChristmasQuest) mobile.CurrentQuest;
					ArrayList list = new ArrayList();

					if( ( (QuestObjective) quest.Objectives[ 4 ] ).Completed )
						from.SendMessage( "You have already rescued this reindeer." );
					else
					{
						foreach ( Mobile m in from.GetMobilesInRange( 50 ) )
						{
							if ( m is ShadowClan ) 
								list.Add( m );
						}

						if( list.Count > 0 )
							from.SendMessage( "You must defeat the ShadowClan Members guarding this reindeer first." );
						else
						{
							from.SendMessage( "You have saved one of Santas Reindeer!" );
							this.Delete();
							( (QuestObjective) quest.Objectives[ 4 ] ).Completed = true;
						
							if( quest.Completed )
								quest.Player.SendGump( new QuestLogUpdated() );
						}
					}
				}
			}
		}

		public Vixen( Serial serial ) : base( serial )
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
	public class Comet : BaseReindeer
	{
		[Constructable]
		public Comet()
		{
			Name = "Comet";
		}

		public override void OnDoubleClick( Mobile from )
		{
			if( from.Player && from is PlayerMobile && from.CheckAlive() )
			{
				PlayerMobile mobile = (PlayerMobile) from;

				if( mobile.CurrentQuest == null )
					return;

				if( mobile.CurrentQuest is ChristmasQuest )
				{
					ChristmasQuest quest = (ChristmasQuest) mobile.CurrentQuest;
					ArrayList list = new ArrayList();

					if( ( (QuestObjective) quest.Objectives[ 5 ] ).Completed )
						from.SendMessage( "You have already rescued this reindeer." );
					else
					{
						foreach ( Mobile m in from.GetMobilesInRange( 50 ) )
						{
							if ( m is ShadowClan ) 
								list.Add( m );
						}

						if( list.Count > 0 )
							from.SendMessage( "You must defeat the ShadowClan Members guarding this reindeer first." );
						else
						{
							from.SendMessage( "You have saved one of Santas Reindeer!" );
							this.Delete();
							( (QuestObjective) quest.Objectives[ 5 ] ).Completed = true;
						
							if( quest.Completed )
								quest.Player.SendGump( new QuestLogUpdated() );
						}
					}
				}
			}
		}

		public Comet( Serial serial ) : base( serial )
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
	public class Cupid : BaseReindeer
	{
		[Constructable]
		public Cupid()
		{
			Name = "Cupid";
		}

		public Cupid( Serial serial ) : base( serial )
		{
		}

		public override void OnDoubleClick( Mobile from )
		{
			if( from.Player && from is PlayerMobile && from.CheckAlive() )
			{
				PlayerMobile mobile = (PlayerMobile) from;

				if( mobile.CurrentQuest == null )
					return;

				if( mobile.CurrentQuest is ChristmasQuest )
				{
					ChristmasQuest quest = (ChristmasQuest) mobile.CurrentQuest;
					ArrayList list = new ArrayList();

					if( ( (QuestObjective) quest.Objectives[ 6 ] ).Completed )
						from.SendMessage( "You have already rescued this reindeer." );
					else
					{
						foreach ( Mobile m in from.GetMobilesInRange( 50 ) )
						{
							if ( m is ShadowClan ) 
								list.Add( m );
						}

						if( list.Count > 0 )
							from.SendMessage( "You must defeat the ShadowClan Members guarding this reindeer first." );
						else
						{
							from.SendMessage( "You have saved one of Santas Reindeer!" );
							this.Delete();
							( (QuestObjective) quest.Objectives[ 6 ] ).Completed = true;
						
							if( quest.Completed )
								quest.Player.SendGump( new QuestLogUpdated() );
						}
					}
				}
			}
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
	public class Donner : BaseReindeer
	{
		[Constructable]
		public Donner()
		{
			Name = "Donner";
		}

		public override void OnDoubleClick( Mobile from )
		{
			if( from.Player && from is PlayerMobile && from.CheckAlive() )
			{
				PlayerMobile mobile = (PlayerMobile) from;

				if( mobile.CurrentQuest == null )
					return;

				if( mobile.CurrentQuest is ChristmasQuest )
				{
					ChristmasQuest quest = (ChristmasQuest) mobile.CurrentQuest;
					ArrayList list = new ArrayList();

					if( ( (QuestObjective) quest.Objectives[ 7 ] ).Completed )
						from.SendMessage( "You have already rescued this reindeer." );
					else
					{
						foreach ( Mobile m in from.GetMobilesInRange( 50 ) )
						{
							if ( m is ShadowClan ) 
								list.Add( m );
						}

						if( list.Count > 0 )
							from.SendMessage( "You must defeat the ShadowClan Members guarding this reindeer first." );
						else
						{
							from.SendMessage( "You have saved one of Santas Reindeer!" );
							this.Delete();
							( (QuestObjective) quest.Objectives[ 7 ] ).Completed = true;
						
							if( quest.Completed )
								quest.Player.SendGump( new QuestLogUpdated() );
						}
					}
				}
			}
		}

		public Donner( Serial serial ) : base( serial )
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
	public class Blitzen : BaseReindeer
	{
		[Constructable]
		public Blitzen()
		{
			Name = "Blitzen";
		}

		public Blitzen( Serial serial ) : base( serial )
		{
		}

		public override void OnDoubleClick( Mobile from )
		{
			if( from.Player && from is PlayerMobile && from.CheckAlive() )
			{
				PlayerMobile mobile = (PlayerMobile) from;

				if( mobile.CurrentQuest == null )
					return;

				if( mobile.CurrentQuest is ChristmasQuest )
				{
					ChristmasQuest quest = (ChristmasQuest) mobile.CurrentQuest;
					ArrayList list = new ArrayList();

					if( ( (QuestObjective) quest.Objectives[ 8 ] ).Completed )
						from.SendMessage( "You have already rescued this reindeer." );
					else
					{
						foreach ( Mobile m in from.GetMobilesInRange( 50 ) )
						{
							if ( m is ShadowClan ) 
								list.Add( m );
						}

						if( list.Count > 0 )
							from.SendMessage( "You must defeat the ShadowClan Members guarding this reindeer first." );
						else
						{
							from.SendMessage( "You have saved one of Santas Reindeer!" );
							this.Delete();
							( (QuestObjective) quest.Objectives[ 8 ] ).Completed = true;
						
							if( quest.Completed )
								quest.Player.SendGump( new QuestLogUpdated() );
						}
					}
				}
			}
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}