using System;
using Server;
using Server.Targeting;
using Server.Engines.Craft;
using Server.Network;

namespace Server.Items
{
	public class SantasElixer : Item
	{
		[Constructable]
		public SantasElixer( ) : base( 6188 )
		{
			Weight = 1.0;
			Hue = 0x26;
			Name = "Santa's Christmas Elixer";
		}

		public SantasElixer( Serial serial ) : base( serial )
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}

		public override void OnSingleClick( Mobile from )
		{
			base.OnSingleClick( from );
		}

		public override void OnDoubleClick( Mobile from )
		{
			if ( IsChildOf( from.Backpack ) )
				from.Target = new InternalTarget( this );
			else
				from.SendLocalizedMessage( 1042001 ); // That must be in your pack for you to use it.
		}

		private class InternalTarget : Target
		{
			private SantasElixer m_Elixer;

			public InternalTarget( SantasElixer elixer ) : base( 2, false, TargetFlags.None )
			{
				m_Elixer = elixer;
			}

			protected override void OnTarget( Mobile from, object targeted )
			{
				if ( m_Elixer.Deleted )
				{
					return;
				}

				if ( targeted is BaseWeapon && (DefBlacksmithy.CraftSystem.CraftItems.SearchForSubclass( targeted.GetType() ) != null) )
				{
					BaseWeapon wep = (BaseWeapon)targeted;

					if ( wep.IsChildOf( from.Backpack ) && m_Elixer.IsChildOf( from.Backpack ) )
					{
						if ( wep.Name != "Twisted by Christmas" )
						{
							wep.Attributes.WeaponDamage += 10;
							wep.Attributes.WeaponSpeed += 5;
							wep.Hue = 0x26;
							wep.Name = "Twisted by Christmas";

							from.SendMessage( " You successfully apply the elixer to the weapon. " );
							from.PlaySound( 0x2D6 );

							m_Elixer.Delete();
						}
						else
						{
							from.SendMessage( " You cannot enhance the same item twice! " );
						}
					}	
					else
					{
						from.SendLocalizedMessage( 1042001 ); // That must be in your pack for you to use it.
					}
				}
				else
				{
					from.SendMessage( " You cannot use the elixer on that item " );
				}
			}
		}
	}
}