using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class XmasBag : Bag
	{
		[Constructable]
		public XmasBag() : this( 1 )
		{
			Movable = true; 
			Hue = 0x315; 
			Name = "Christmas Gift Bag";
		}

		[Constructable]
		public XmasBag( int amount )
		{
			Movable = true; 
			Hue = 0x85; 
			Name = "Christmas Gift Bag";

			DropItem( new HolidayTreeDeed() );
			DropItem( new XmasCrystal() );
			DropItem( new XmasFlame() );
			DropItem( new SantaHat() );
		}

		public XmasBag( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}