using System;
using Server.Network;

namespace Server.Items
{
	public class XmasCrystal : Item
	{
		[Constructable]
		public XmasCrystal() : this( 1 )
		{
		}

		[Constructable]
		public XmasCrystal( int amount ) : base( 0x222B )
		{
			this.Name = "UoEvolution Christmas Crystal 2003";
			this.Stackable = false;
			this.Movable = true;
			this.Weight = 25.0;
			this.ItemID = 8747;
			this.Hue = 0x1B1;
		}

		public XmasCrystal( Serial serial ) : base( serial )
		{
		}

		public override Item Dupe( int amount )
		{
			return base.Dupe( new XmasCrystal(), amount );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	public class XmasFlame : Item
	{
		[Constructable]
		public XmasFlame() : this( 1 )
		{
		}

		[Constructable]
		public XmasFlame( int amount ) : base( 0x1C14 )
		{
			this.Name = "Christmas Flame";
			this.Stackable = false;
			this.Weight = 4.0;
			this.Amount = amount;
			this.ItemID = 7188;
			this.Movable = true;
		}

		public XmasFlame( Serial serial ) : base( serial )
		{
		}

		public override Item Dupe( int amount )
		{
			return base.Dupe( new XmasFlame(), amount );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	public class SantaHat : WizardsHat
	{
		[Constructable]
		public SantaHat() : this( 1 )
		{
		}

		[Constructable]
		public SantaHat( int amount ) : base( 0x1718 )
		{
			this.Name = "Santa's Helper";
			this.Weight = 1.0;
			this.Hue = 0x300;
			this.Amount = amount;
			this.ItemID = 5912;
		}

		public SantaHat( Serial serial ) : base( serial )
		{
		}

		public override Item Dupe( int amount )
		{
			return base.Dupe( new SantaHat(), amount );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
