using System;
using System.Collections;
using System.Reflection;
using Server;
using Server.Items;
using Server.Mobiles;
using Server.Network;
using Server.Accounting;
using Server.Misc;
using Server.Engines.Plants;

namespace Server.Scripts.Commands
{
	public class QuestCleanup
	{
		public static void Initialize()
		{
			Server.Commands.Register( "QuestCleanup", AccessLevel.Administrator, new CommandEventHandler( QuestCleanup_OnCommand ) );
		}
		
		public static void QuestCleanup_OnCommand( CommandEventArgs e )
		{
			ArrayList list = new ArrayList( World.Items.Values );
			int count = 0;
			
			foreach ( Item m in list )
			{
				if( m is BaseQuest ) 
				{                 
					BaseQuest quest = m as BaseQuest;

					if ( quest.Player == null || quest.Player.CurrentQuest != quest )
					{
						foreach( QuestObjective objective in quest.Objectives )
						{
							objective.Delete();
							count++;
						}
						quest.Delete();
						count++;
					}
				}

				if( m.Parent == null && m.Map == Map.Internal )
				{
					//Add quest items here.. if quest is properly written nothing will be deleted.
					if( m is XmasBag || m is Seed || m is Gold || m is TranslocationPowder || m is BagofSending || m is SantasElixer || m is Bag )
					{
						m.Delete();
						count++;
					}
				}
			}
		e.Mobile.SendMessage( "Deleted {0} unused quest items.", count );
		}
	}
}