using System; 
using Server; 
using Server.Mobiles; 
using Server.Gumps;

namespace Server.Misc
{
	public class SolenHiveStudyQuest : BaseQuest
	{
		public bool StudiedOddNest = false;

		public override int QuestNameNumber{ get { return 1054041; } }
		
		public override int OfferNumber{ get{ return 1054042; } }
		public override int StartNumber{ get{ return 1054043; } }
		public override int FinishNumber{ get{ return 1054050; } }
		public override int InProgressNumber{ get{ return 1054049; } }
		public override int LogObjectiveNumber{ get{ return 1054055; } }
		public override int LogStartObjectiveNumber{ get{ return 1054044; } }
		public override int LogFinishObjectiveNumber{ get{ return 1054048; } }
		public override int OverLoadedNumber{ get{ return 1054053; } }
		public override int QuestAcceptSound{ get{ return 1073; } }

		public SolenHiveStudyQuest( PlayerMobile player ) : base( player )
		{
			Objectives.Add( new QuestObjective( "Solen Hive Nest 1" ) );
			Objectives.Add( new QuestObjective( "Solen Hive Nest 2" ) );
			Objectives.Add( new QuestObjective( "Solen Hive Nest 3" ) );
			Objectives.Add( new QuestObjective( "Solen Hive Nest 4" ) );
			Objectives.Add( new QuestObjective( "Odd Solen Hive Nest" ) );
		}

		public SolenHiveStudyQuest( Serial serial ) : base( serial )
		{
		}

		public override bool Completed
		{
			get
			{
				int count = 0;

				foreach( QuestObjective objective in Objectives )
				{
					if( objective.Completed )
						count++;
				}

				if( count >= 4 )
					return true;
				else
					return false;
			}
		}

		public override int TotalObjectives
		{
			get
			{
					return 4;
			}
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}